### Method

# Ggit Repository get_descendant_of

#### Declaration [src]

    gboolean
    ggit_repository_get_descendant_of (
      GgitRepository* repository,
      GgitOId* commit,
      GgitOId* ancestor,
      GError** error
    )

#### Description [src]

Check whether `com` mit is a descendant of `ancestor`. Note that if this function returns `FALSE`, an error might have occurred. If so, `error` will be set appropriately.

#### Parameters

`commit`

  Type: `GgitOId`

  The commit.

  The data is owned by the caller of the method.

`ancestor`

  Type: `GgitOId`

  The ancestor.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `commit` is a descendant of `ancestor`, or `FALSE` otherwise.